[oe-commits] org.oe.dev lcd4linux: add lcd4linux, a daemon that can put info on your (character) LCD, like the USB2LCD

koen commit oe at amethyst.openembedded.net
Wed May 28 18:56:42 UTC 2008


lcd4linux: add lcd4linux, a daemon that can put info on your (character) LCD, like the USB2LCD

Author: koen at openembedded.org
Branch: org.openembedded.dev
Revision: f5e7725c6bb569e0efb41ecc3188426e19c15647
ViewMTN: http://monotone.openembedded.org/revision/info/f5e7725c6bb569e0efb41ecc3188426e19c15647
Files:
1
packages/lcd4linux
packages/lcd4linux/files
packages/lcd4linux/files/lcd4linux.init
packages/lcd4linux/lcd4linux_0.10.0.bb
Diffs:

#
# mt diff -r742a6e5bf0331b46bebccbb71995259851684523 -rf5e7725c6bb569e0efb41ecc3188426e19c15647
#
#
#
# add_dir "packages/lcd4linux"
# 
# add_dir "packages/lcd4linux/files"
# 
# add_file "packages/lcd4linux/files/lcd4linux.init"
#  content [83848ea064a0946e3a7921d51cfea062858be9e2]
# 
# add_file "packages/lcd4linux/lcd4linux_0.10.0.bb"
#  content [8157631f9b9c12b29c1bb35564e9c8cbb6ad6a05]
#
============================================================
--- packages/lcd4linux/files/lcd4linux.init	83848ea064a0946e3a7921d51cfea062858be9e2
+++ packages/lcd4linux/files/lcd4linux.init	83848ea064a0946e3a7921d51cfea062858be9e2
@@ -0,0 +1,56 @@
+#! /bin/sh
+
+### BEGIN INIT INFO
+# Provides:          lcd4linux
+# Required-Start:
+# Required-Stop:
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: daemon for driving LCD based displays
+# Description:       LCD4Linux is a small program that grabs information from
+#                    the kernel and some subsystems and displays it on an
+#                    external liquid crystal display.
+### END INIT INFO
+
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/usr/sbin/lcd4linux
+NAME=lcd4linux
+DESC=lcd4linux
+
+test -x $DAEMON || exit 0
+test -f /etc/lcd4linux.conf || exit 0
+
+set -e
+
+case "$1" in
+  start)
+	echo -n "Starting $DESC: "
+	chmod 600 /etc/lcd4linux.conf
+	start-stop-daemon --start --quiet --pidfile /var/run/$NAME.pid \
+		--exec $DAEMON -- $DAEMON_OPTS
+	echo "$NAME."
+	;;
+  stop)
+	echo -n "Stopping $DESC: "
+	start-stop-daemon --stop --quiet --pidfile /var/run/$NAME.pid \
+		--exec $DAEMON || true
+	echo "$NAME."
+	;;
+  restart|force-reload)
+	echo -n "Restarting $DESC: "
+	start-stop-daemon --stop --quiet --pidfile \
+		/var/run/$NAME.pid --exec $DAEMON
+	sleep 1
+	start-stop-daemon --start --quiet --pidfile \
+		/var/run/$NAME.pid --exec $DAEMON -- $DAEMON_OPTS
+	echo "$NAME."
+	;;
+  *)
+	N=/etc/init.d/$NAME
+	# echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
+	echo "Usage: $N {start|stop|restart|force-reload}" >&2
+	exit 1
+	;;
+esac
+
+exit 0
============================================================
--- packages/lcd4linux/lcd4linux_0.10.0.bb	8157631f9b9c12b29c1bb35564e9c8cbb6ad6a05
+++ packages/lcd4linux/lcd4linux_0.10.0.bb	8157631f9b9c12b29c1bb35564e9c8cbb6ad6a05
@@ -0,0 +1,26 @@
+DESCRIPTION = "LCD4Linux is a small program that grabs information from the kernel and some subsystems and displays it on an external liquid crystal display."
+LICENSE = "GPLv2"
+
+DEPENDS = "libusb ncurses readline virtual/libx11"
+
+PV = "0.10.0+0.10.1-RC2"
+PR = "r1"
+
+SRC_URI = "http://ssl.bulix.org/projects/lcd4linux/raw-attachment/wiki/Download/lcd4linux-0.10.1-RC2.tar.gz \
+           file://lcd4linux.init"
+
+S =  "${WORKDIR}/lcd4linux-0.10.1-RC2"
+
+
+inherit autotools update-rc.d
+
+INITSCRIPT_NAME = "lcd4linux"
+CONFFILES_${PN} += "${sysconfdir}/lcd4linux.conf"
+
+do_install_append() {
+	install -d ${D}/${sysconfdir}
+	install -m 0600 ${S}/lcd4linux.conf.sample  ${D}/${sysconfdir}/lcd4linux.conf
+	install -d ${D}/${INIT_D_DIR}
+	install -m 0755 ${WORKDIR}/lcd4linux.init ${D}/${INIT_D_DIR}/lcd4linux
+}
+






More information about the Openembedded-commits mailing list